    % First is the nonlinear term
    for itrg=1:size(elnode,1) 
        
        % local -> global degrees of freedom mapping
        Vstart = [2*(elnode(itrg,1:3) - 1) + 1 , 2*(elnode(itrg,4:6) + nVert - 1) + 1];
        GlTrgVe = reshape([Vstart ; Vstart+1],[12,1]) ;            
        localUnk=GlTrgVe;
         
        % local basis functions
        ten1a=basisValues(:,:,itrg);
        Gradtrue = gradBasisValues(:,:,:,itrg);
        
        % ( u^k-1 dot grad u^k,v)
        matcvc1 = inner_prod_ten1_VDiv_ten1_testSS(itrg, 'quad_75','velFun_test', vel_bas_type, vel_bas_type,ten1a,Gradtrue) ;
               
        for count=1:size(GlTrgVe,1)
           for count1=1:size(GlTrgVe,1)
                number1=number1+1;
                if(number1>length(i1)) 
                    error('init vecs bigger')
                end
                i1(number1) = GlTrgVe(count);
                j1(number1) = GlTrgVe(count1);
                mat1(number1) = matcvc1(count, count1);
           end
        end
    end
    NLMatrix = sparse(i1(1:number1), j1(1:number1), mat1(1:number1), NVU, NVU) ;
    
    % Now assemble the entire matrix
    Acoeff = [nu*StiffnessMatrix + NLMatrix, PressureMatrix; PressureMatrix', spalloc(NPU,NPU,100)];
    RHSvec = [zeros(NVU,1);zeros(NPU,1)];
        
    %Apply Dirichlet boundary conditions for velocity
    bdrydirvals = GlobalV(bdrydof);
    RHSvec = RHSvec - Acoeff(:,bdrydof) * bdrydirvals;
    Acoeff(:,bdrydof) = 1e-30*Acoeff(:,bdrydof);
    Acoeff(bdrydof,:) = 1e-30*Acoeff(bdrydof,:);
    for ii=1:size(bdrydof,1)
            Acoeff(bdrydof(ii),bdrydof(ii))=1;
    end
    RHSvec(bdrydof)=bdrydirvals;

    % Dirichlet pressure bc
    Acoeff(:,end) = 1e-30*Acoeff(:,end);
    Acoeff(end,:) = 1e-30*Acoeff(end,:);
    Acoeff(end,end)=1;
    RHSvec(end)=0;

    Acoeff = Acoeff .* (abs(Acoeff)>1e-16);