





[X,Y]=meshgrid(0:.02:1,0:.02:1);
    
Uvel = griddata(nodeco(:,1),nodeco(:,2),GlobalV(1:2:end,1),X,Y);
Vvel = griddata(nodeco(:,1),nodeco(:,2),GlobalV(2:2:end,1),X,Y);

figure
%subplot(1,3,1)

sx = [ .05:.15:.95, .05:.15:.95,.28,.72, .9, .05, .85, .03, .6, .06];
sy = [ .25*ones(1,7),.5*ones(1,7),.4,.6, .07, .07, .07, .84, .75, .84];
h = streamline(X,Y,Uvel,Vvel,sx,sy);
set(h,'Color','k')
axis ([0,1,0,1])
set(gca,'FontSize',18)
set(gca,'Ytick',[])
set(gca,'Xtick',[])
%title('Streamlines','FontSize',20)
set(gca,'Box','on')


